/*
* AUTHOR: Nicolas Justin <https://nicolasjustin.ga>
* SINCE: 2019/05/09 - 10:33am
* VERSION: 1.0.0.1
*/

/* ==================
	Custom Select
=================== */
/*.custom-select {
	display: inline-block;
	width: 100%;
	height: calc(1.5em + .5rem + 5px);
	padding: .375rem 1.75rem .375rem .75rem;
	font-size: 1rem;
	line-height: 1.5;
	color: currentColor;
	vertical-align: middle;
	background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 4 5'%3e%3cpath fill='%23DDDDDD' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e") no-repeat right .75rem center/8px 10px;
	background-color: #2A3F54;
	color: #DDD;
	border: 2px solid #DDD;
	border-radius: .25rem;
	-webkit-appearance: none;
	-moz-appearance: none;
}*/

/*.custom-select:focus {
	background-color: #2A3F54;
	color: #DDD;
}*/


/* ==================
	DataTable
=================== */
table {
	text-align: left;
	min-width: 100%;
	overflow: hidden;
}

table.dataTable th,
table.dataTable td {
	outline: none;
}

/* Sorting Arrow */
table.dataTable thead .sorting:before,
table.dataTable thead .sorting_asc:before,
table.dataTable thead .sorting_desc:before,
table.dataTable thead .sorting_asc_disabled:before,
table.dataTable thead .sorting_desc_disabled:before {
	right: 0 !important;
	top: 12px;
	content: "\2193" !important;
	font-weight: 100;
}

table.dataTable thead .sorting:after,
table.dataTable thead .sorting_asc:after,
table.dataTable thead .sorting_desc:after,
table.dataTable thead .sorting_asc_disabled:after,
table.dataTable thead .sorting_desc_disabled:after {
	right: 10px !important;
	top: 10px;
	content: "\2191" !important;
	font-weight: 100;
}

/* Table Hover */
.table-hover tbody tr:hover {
	color: #475569;
	background-color: #f8fafc;
}

/* Table Striped */
.table-striped tbody tr:nth-of-type(odd) {
	background-color: #f1f5f9;
}

/* Table Filter */
/* div.dataTables_wrapper div.dataTables_filter input */
div.dataTables_wrapper div.dataTables_filter input {
	/*background-color: #2A3F54;*/
	/*color: #DDD;*/
	padding: 10px;
	height: calc(1.5em + .5rem + 5px);
}

/*.dataTables_filter input::placeholder {
	color: #DDD;
}

.dataTables_filter input:focus {
	background-color: #2A3F54;
	color: #DDD;
}*/

.dataTables_filter {
	min-width: 100%;
}

/* Table Length */
/*.dataTables_length .custom-select {
	background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 4 5'%3e%3cpath fill='%23DDDDDD' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e") no-repeat right .75rem center/8px 10px;
}*/

.dataTables_length select {
	/*background-color: #2A3F54;*/
	/*color: #DDD;*/
	cursor: pointer;
	height: calc(1.5em + .5rem + 5px);
}

/*.dataTables_length select:focus {
	background-color: #2A3F54;
	color: #DDD;
}*/

/* Table Paginate */
.dataTables_paginate .pagination {
	justify-content: center !important;
	flex-wrap: wrap;
}

.dataTables_paginate .pagination li a {
	background-color: #ffffff;
	color: #475569;
	border: 1px solid #e2e8f0;
}

.page-item.disabled .page-link {
	background-color: #f8fafc;
	color: #94a3b8;
}

.page-item.active .page-link {
	z-index: 0;
	background-color: #007BFF;
	color: #ffffff;
	border: 1px solid #007BFF;
}

/* Label */
div.dataTables_wrapper div.dataTables_length label {
	white-space: normal !important;
}

div.dataTables_wrapper div.dataTables_filter label {
	width: 100% !important;
}

div.dataTables_wrapper div.dataTables_filter input {
	margin-left: 0 !important;
	width: 100% !important;
}

/* SELECT CHECKBOX */
table.dataTable tbody td.select-checkbox:before,
table.dataTable tbody th.select-checkbox:before {
	border: 1px solid #DDD;
}

table.dataTable tbody td.select-checkbox:before,
table.dataTable tbody td.select-checkbox:after,
table.dataTable tbody th.select-checkbox:before,
table.dataTable tbody th.select-checkbox:after {
	top: 1.4em;
	width: 15px;
	height: 15px;
}

table.dataTable tbody td.select-checkbox,
table.dataTable tbody th.select-checkbox {
	padding: 0 20px;
}

table.dataTable tr.selected td.select-checkbox:after,
table.dataTable tr.selected th.select-checkbox:after {
	content: '\2714';
	margin-left: -5px;
	text-shadow: none;
}

/* ===============
*
*   NAV TABS PILLS
*
* ============= */
.nav-tabs {
	/*border-bottom: 2px solid #DDD;*/
	border-bottom: 2px solid #007BFF;
}

.nav-tabs .nav-item.show .nav-link,
.nav-tabs .nav-link.active {
	color: #FFF;
	/* background-color: rgb(54, 123, 195); */
	background-color: #007BFF;
	/*border-bottom: 1px solid #DDD;*/
	border-bottom: 1px solid #007BFF;
}

.nav-tabs .nav-link {
	border: none;
	/*color: #DDD;*/
	color: #007BFF;
}

.nav-tabs .nav-item {
	cursor: default;
	pointer-events: none;
}

.tab-content {
	padding-top: 50px;
}


#step01Date::-webkit-calendar-picker-indicator,
#step01Date::-webkit-clear-button,
#step01Date::-webkit-inner-spin-button,
#step01Date::-webkit-outer-spin-button {
	display: none;
	-webkit-appearance: none;
	-moz-appearance: none;
}

.input-date {
	/* border: none; */
	border-radius: 5px;
	padding: 5px 10px;
	cursor: pointer;
	text-transform: uppercase;
	height: calc(1.5em + .75rem + 2px);
}

.input-time {
	cursor: pointer;
}

/* ===============
*
*   INPUT CHECKBOX
*
* ============= */
#rdc-table tbody tr.selected {
	background-color: #0275F8;
	color: #DDD;
}

#rdc-table tbody tr td.select-checkbox {
	cursor: pointer;
}

/* ===============
*
*   INPUT REQUIRED
*
* ============= */
.is-valid {
	border: 1px solid #28A745;
	padding-right: calc(1.5em + 0.75rem);
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%2328a745' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e");
	background-repeat: no-repeat;
	background-position: center right calc(0.375em + 0.1875rem);
	background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.is-valid:focus {
	border-color: #28A745;
	box-shadow: 0 0 0 0.2rem rgba(40, 167, 69, 0.25);
}

.is-invalid {
	border: 1px solid #DC3545;
	padding-right: calc(1.5em + 0.75rem);
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23dc3545' viewBox='-2 -2 7 7'%3e%3cpath stroke='%23dc3545' d='M0 0l3 3m0-3L0 3'/%3e%3ccircle r='.5'/%3e%3ccircle cx='3' r='.5'/%3e%3ccircle cy='3' r='.5'/%3e%3ccircle cx='3' cy='3' r='.5'/%3e%3c/svg%3E");
	background-repeat: no-repeat;
	background-position: center right calc(0.375em + 0.1875rem);
	background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.is-invalid:focus {
	border-color: #DC3545;
	box-shadow: 0 0 0 0.2rem rgba(220, 53, 69, 0.25);
}
/* ==================
   AJUSTES GLOBAIS
=================== */

html,
body {
	min-height: 100%;
}

body.of-x-hidden {
	background: #f0f2f5 !important;
	background-attachment: fixed;
	min-height: 100vh;
}

.bg-azul-etm {
	background: transparent !important;
}